(***********************************************************************)
(*                                                                     *)
(*                           Htmlc                                     *)
(*                                                                     *)
(*            Pierre Weis, projet Cristal, INRIA Rocquencourt          *)
(*                                                                     *)
(*  Copyright 2000 Institut National de Recherche en Informatique et   *)
(*  en Automatique.  Distributed only by permission.                   *)
(*                                                                     *)
(***********************************************************************)

(* $Id: version.ml,v 1.62 2009/09/15 18:45:33 weis Exp $ *)

(** {3 Handling versionning of the software} *)

(** The current version of htmlc *)
let htmlc_version_number = 2;;
let htmlc_sub_version_number = 21;;
let htmlc_patch_version = 0;;
let htmlc_dev_version = 2;;
let htmlc_version_message = "New -str option.";;
let htmlc_version_date = "2009-09-15";;

let htmlc_version = "2.21";;

let htmlc_long_version =
  Printf.sprintf "%s.%i+dev%i (%s, %s)"
    htmlc_version
    htmlc_patch_version
    htmlc_dev_version
    htmlc_version_date
    htmlc_version_message
;;

let print_version () =
  prerr_endline ("htmlc, version " ^ htmlc_version);
  exit 0
;;

let print_long_version () =
  prerr_endline ("htmlc, version " ^ htmlc_long_version);
  exit 0
;;

